__gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc > Struct Template Reference

`#include <pat_trie_base.hpp>`

## Public Types

typedef _Alloc | allocator_type
typedef detail::rebind_traits< _Alloc, null_type >::const_reference | const_reference
typedef null_type | metadata_type

## Public Member Functions

const_reference | get_metadata () const

## Public Attributes

metadata_type | m_metadata

## Detailed Description

template<typename _Alloc>
struct __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >

Specialization for null metadata.

Definition at line 83 of file pat_trie_base.hpp.

## Member Typedef Documentation

## allocator_type

template<typename _Alloc>

typedef _Alloc __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >::allocator_type

Definition at line 86 of file pat_trie_base.hpp.

## const_reference

typedef detail::rebind_traits<_Alloc,null_type>::const_reference __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >::const_reference

Definition at line 72 of file pat_trie_base.hpp.

## metadata_type

template<typename _Alloc>

typedef null_type __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >::metadata_type

Definition at line 85 of file pat_trie_base.hpp.

## Member Function Documentation

## get_metadata()

const_reference __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >::get_metadata | ( |  | ) | const

inline

Definition at line 75 of file pat_trie_base.hpp.

## Member Data Documentation

## m_metadata

metadata_type __gnu_pbds::detail::pat_trie_base::_Metadata< null_type, _Alloc >::m_metadata

Definition at line 78 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp